Jtdowney's Gems

icon
#Total RankDaily RankNameSummary
12,0081,588hkdfA ruby implementation of RFC5869: HMAC-based Extract-and-Expand Key Derivation Function...
24,3564,719private_address_checkChecks if a IP or hostname would cause a request to a private network (RFC 1918)
327,31393,637cmacA ruby implementation of RFC4493, RFC4494, and RFC4615. CMAC is a message authenticatio...
443,03030,201rack-exception_notifierRack middleware to send email when exceptions are raised
545,30056,448trustworthyImplements a special case (k = 2) of Adi Shamir's secret sharing algorithm. ...
6135,43493,637history_bookThis library provides an interface for event sourcing over a pluggable back end data st...